# FundamentalsMobilePackage class Null safety

Inheritance
  - Object
  - Package
  - FundamentalsPackage
  - FundamentalsMobilePackage

## Constructors

FundamentalsMobilePackage()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only
packageName → String
  final, inherited
props → List<Object?>
  The list of properties that will be used to determine whether two instances are equal.
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
stringify → bool?
  If set to `true`, the toString method will be overridden to output this instance's props. [...]
  read-only, inherited

## Methods

createPackageAppBloc(String appId, AccessBloc accessBloc) → BlocProvider<StateStreamableSource<Object?>>?
  inherited
getAndSubscribe(AccessBloc accessBloc, AppModel app, MemberModel? member, bool isOwner, bool? isBlocked, PrivilegeLevel? privilegeLevel) → dynamic
  inherited
getMemberCollectionInfo() → List<MemberCollectionInfo>
  inherited
init() → void
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
registerDependencies(Eliud eliud) → void
  inherited
retrieveAllPackageConditions() → List<String>?
  inherited
toString() → String
  A string representation of this object. [...]
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]